[![Gem Version](https://badge.fury.io/rb/strom.svg)](http://badge.fury.io/rb/strom)
[![Build Status](https://travis-ci.org/kodnin/strom.svg?branch=master)](https://travis-ci.org/kodnin/strom)

# Strom

Ohm's law expressed in Ruby.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'strom'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install strom

## Usage

Require the gem in your project or ```irb``` and find the unknown element:

```ruby
require 'strom'
# => true
0.5.amperes.and(18.ohms)
# => 9.0 volts
18.ohms.and(9.volts)
# => 0.5 amperes
9.volts.and(0.5.amperes)
# => 18.0 ohms
```

## Contributing

1. Fork it ( https://github.com/kodnin/strom/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
